NX Open C++ Reference Guide
|
Represents a Drawings::HalfSectionLineBuilder . More...
Public Member Functions | |
NXOpen::Point * | BendLocation () |
Returns the bend location Created in NX6.0.0. | |
NXOpen::Point * | CutLocation () |
Returns the cut location Created in NX6.0.0. | |
NXOpen::Point * | EndLocation1 () |
Returns the arrow location Created in NX6.0.0. | |
void | SetBendLocation (NXOpen::Point *bendLocation) |
Sets the bend location Created in NX6.0.0. | |
void | SetCutLocation (NXOpen::Point *cutLocation) |
Sets the cut location Created in NX6.0.0. | |
void | SetEndLocation1 (NXOpen::Point *endLocation1) |
Sets the arrow location Created in NX6.0.0. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Drawings::HalfSectionLineBuilder .
This class is used to create or edit a @link Drawings::HalfSectionLine Drawings::HalfSectionLine@endlink .
Created in NX6.0.0.
NXOpen::Point* NXOpen::Drawings::HalfSectionLineBuilder::BendLocation | ( | ) |
Returns the bend location
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Drawings::HalfSectionLineBuilder::CutLocation | ( | ) |
Returns the cut location
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Drawings::HalfSectionLineBuilder::EndLocation1 | ( | ) |
Returns the arrow location
Created in NX6.0.0.
License requirements : None
void NXOpen::Drawings::HalfSectionLineBuilder::SetBendLocation | ( | NXOpen::Point * | bendLocation | ) |
Sets the bend location
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
bendLocation | bendlocation |
void NXOpen::Drawings::HalfSectionLineBuilder::SetCutLocation | ( | NXOpen::Point * | cutLocation | ) |
Sets the cut location
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
cutLocation | cutlocation |
void NXOpen::Drawings::HalfSectionLineBuilder::SetEndLocation1 | ( | NXOpen::Point * | endLocation1 | ) |
Sets the arrow location
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
endLocation1 | endlocation1 |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.